Skip to content
Start here

Request review on mitigations

abuse_reports.mitigations.review(strreport_id, MitigationReviewParams**kwargs) -> SyncSinglePage[MitigationReviewResponse]
POST/accounts/{account_id}/abuse-reports/{report_id}/mitigations/appeal

Request a review for mitigations on an account.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Trust and Safety Write
ParametersExpand Collapse
account_id: str
maxLength32
report_id: str
appeals: Iterable[Appeal]

List of mitigations to appeal.

id: str

ID of the mitigation to appeal.

reason: Literal["removed", "misclassified"]

Reason why the customer is appealing.

One of the following:
"removed"
"misclassified"
ReturnsExpand Collapse
class MitigationReviewResponse:
id: str

ID of remediation.

effective_date: str

Date when the mitigation will become active. Time in RFC 3339 format (https://www.rfc-editor.org/rfc/rfc3339.html)

entity_id: str
entity_type: Literal["url_pattern", "account", "zone"]
One of the following:
"url_pattern"
"account"
"zone"
status: Literal["pending", "active", "in_review", 2 more]

The status of a mitigation

One of the following:
"pending"
"active"
"in_review"
"cancelled"
"removed"
type: Literal["legal_block", "misleading_interstitial", "phishing_interstitial", 4 more]

The type of mitigation

One of the following:
"legal_block"
"misleading_interstitial"
"phishing_interstitial"
"network_block"
"rate_limit_cache"
"account_suspend"
"redirect_video_stream"

Request review on mitigations

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.abuse_reports.mitigations.review(
    report_id="report_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    appeals=[{
        "id": "id",
        "reason": "misclassified",
    }],
)
page = page.result[0]
print(page.id)
{
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  },
  "success": true,
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "id",
      "effective_date": "2009-11-10T23:00:00Z",
      "entity_id": "entity_id",
      "entity_type": "url_pattern",
      "status": "pending",
      "type": "legal_block"
    }
  ]
}
Returns Examples
{
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  },
  "success": true,
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "id",
      "effective_date": "2009-11-10T23:00:00Z",
      "entity_id": "entity_id",
      "entity_type": "url_pattern",
      "status": "pending",
      "type": "legal_block"
    }
  ]
}